# Uses of Interface
java.sql.ConnectionBuilder

Packages that use ConnectionBuilder
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.

## Uses of ConnectionBuilder in java.sql

Methods in java.sql that return ConnectionBuilder
Modifier and Type
Method
Description
`ConnectionBuilder`
ConnectionBuilder.`password(String password)`
Specifies the password to be used when creating a connection
`ConnectionBuilder`
ConnectionBuilder.`shardingKey(ShardingKey shardingKey)`
Specifies a `shardingKey` to be used when creating a connection
`ConnectionBuilder`
ConnectionBuilder.`superShardingKey(ShardingKey superShardingKey)`
Specifies a `superShardingKey` to be used when creating a connection
`ConnectionBuilder`
ConnectionBuilder.`user(String username)`
Specifies the username to be used when creating a connection

## Uses of ConnectionBuilder in javax.sql

Methods in javax.sql that return ConnectionBuilder
Modifier and Type
Method
Description
`default ConnectionBuilder`
DataSource.`createConnectionBuilder()`
Create a new `ConnectionBuilder` instance